Package com.complexible.stardog.icv

# Class ICVOptions

java.lang.Object
com.complexible.stardog.icv.ICVOptions

All Implemented Interfaces:
  `MetaPropertyProvider`

public final class ICVOptions extends Object implements MetaPropertyProvider

Since:
  3.0
Version:
  6.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `DEFAULT_VIOLATION_LIMIT_PER_SHAPE`
  `static final ConfigProperty<Collection<IRI>>`
  `ICV_ACTIVE_GRAPHS`
  Option to specify the active graph(s) that will be used for ICV guard mode validation.
  `static final ConfigProperty<Boolean>`
  `ICV_CONSISTENCY_AUTOMATIC`
  Option to specify that ICV guard mode validation will check the consistency of the database as well.
  `static final ConfigProperty<Boolean>`
  `ICV_ENABLED`
  Option to specify whether or not ICV guard mode is enabled for an index.
  `static final ConfigProperty<Integer>`
  `ICV_EXPLANATION_LIMIT`
  Option to specify the number of violations that will be computed and returned in the error message when `guard mode` is enabled.
  `static final ConfigProperty<Boolean>`
  `ICV_REASONING_ENABLED`
  Option to specify the reasoning flag that will be used for ICV guard mode validation.
  `static final ConfigProperty<Collection<IRI>>`
  `SHACL_SHAPE_GRAPHS`
  `static final ConfigProperty<Boolean>`
  `SHACL_TARGET_CLASS`
  `static final ConfigProperty<Integer>`
  `SHACL_VIOLATION_LIMIT_PER_SHAPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ICVOptions()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_VIOLATION_LIMIT_PER_SHAPE

    public static int DEFAULT_VIOLATION_LIMIT_PER_SHAPE

  - ### ICV_ENABLED

    public static final ConfigProperty<Boolean> ICV_ENABLED
    Option to specify whether or not ICV guard mode is enabled for an index. When guard mode for ICV is enabled, each commit is inspected to ensure that the contents of the database are valid for the set of constraints that have been associated with it. Should someone attempt to commit data which violates one or more of the constraints defined for the database, the commit will fail and the data will not be added/removed.

  - ### ICV_REASONING_ENABLED

    public static final ConfigProperty<Boolean> ICV_REASONING_ENABLED
    Option to specify the reasoning flag that will be used for ICV guard mode validation. By default no reasoning is used.
    See Also:
      - `ICV_ENABLED`

  - ### ICV_ACTIVE_GRAPHS

    public static final ConfigProperty<Collection<IRI>> ICV_ACTIVE_GRAPHS
    Option to specify the active graph(s) that will be used for ICV guard mode validation. By default all local graphs are validated.
    See Also:
      - `ICV_ENABLED`

  - ### ICV_CONSISTENCY_AUTOMATIC

    public static final ConfigProperty<Boolean> ICV_CONSISTENCY_AUTOMATIC
    Option to specify that ICV guard mode validation will check the consistency of the database as well. By default, ICV validation only checks the violations of constraints explicitly added to the database. However, OWL axioms that exist in the database may cause inconsistencies similar to constraint violations. Setting this option ensures that both reasoning consistencies and constraint violations will be checked during guard mode validation. This option has no effect if reasoning is not enabled for IC validation via the `ICV_REASONING_ENABLED` option. This option only affects the ICV guard mode behavior. If guard mode is not enabled and validations are checked manually through an `ICVConnection` then consistency should be checked manually using the `ReasoningConnection`.
    See Also:
      - `ICV_ENABLED`

  - ### ICV_EXPLANATION_LIMIT

    public static final ConfigProperty<Integer> ICV_EXPLANATION_LIMIT
    Option to specify the number of violations that will be computed and returned in the error message when `guard mode` is enabled. If the option is set to 0 no explanations will be computed and transaction failure will only indicate there was a violation without specifying which constraint failed.

  - ### SHACL_TARGET_CLASS

    public static final ConfigProperty<Boolean> SHACL_TARGET_CLASS

  - ### SHACL_VIOLATION_LIMIT_PER_SHAPE

    public static final ConfigProperty<Integer> SHACL_VIOLATION_LIMIT_PER_SHAPE

  - ### SHACL_SHAPE_GRAPHS

    public static final ConfigProperty<Collection<IRI>> SHACL_SHAPE_GRAPHS

- ## Constructor Details

  - ### ICVOptions

    public ICVOptions()